export type Subreddit = {
    default_set?: boolean;
    user_is_contributor?: boolean;
    banner_img?: string;
    allowed_media_in_comments?: any[];
    user_is_banned?: boolean;
    free_form_reports?: boolean;
    community_icon?: string | null;
    show_media?: boolean;
    icon_color?: string;
    user_is_muted?: boolean | null;
    display_name?: string;
    header_img?: string | null;
    title?: string;
    coins?: number;
    previous_names?: any[];
    over_18?: boolean;
    icon_size?: number[] | null;
    primary_color?: string;
    icon_img?: string;
    description?: string;
    submit_link_label?: string;
    header_size?: number[] | null;
    restrict_posting?: boolean;
    restrict_commenting?: boolean;
    subscribers?: number;
    submit_text_label?: string;
    is_default_icon?: boolean;
    link_flair_position?: string;
    display_name_prefixed?: string;
    key_color?: string;
    name?: string;
    is_default_banner?: boolean;
    url?: string;
    quarantine?: boolean;
    banner_size?: number[] | null;
    user_is_moderator?: boolean;
    accept_followers?: boolean;
    public_description?: string;
    link_flair_enabled?: boolean;
    disable_contributor_requests?: boolean;
    subreddit_type?: string;
    user_is_subscriber?: boolean;
};